<div class="nav-wrapper" *ngIf="siteMenuItems">
    <nav>
        <div class="logo">
            <a [routerLink]="['/']" class="elg-logo"></a>
        </div>
        <div class="items">
            <div class="profil">
                <a *ngIf="!isAuthenticated" (click)="login()" aria-label="Login button">
                    <svg class="xxs">
                        <use href="#account-circle"></use>
                    </svg>
                </a>
                <ng-container *ngIf="isAuthenticated">
                    <a *ngIf="showDashboard" href="#" (click)="navigateToDashboard($event);"><span>My
                            grid&nbsp;</span><svg class="xxs">
                            <use href="#layout-dashboard"></use>
                        </svg></a>
                    <a *ngIf="userDetails" [routerLink]="['/profile']"><span>{{ userDetails.firstName }} {{
                            userDetails.lastName
                            }}</span></a>
                    <a (click)="logout()"><svg class="xxs">
                            <use href="#logout"></use>
                        </svg></a>
                </ng-container>
            </div>
            <div class="m">
                <input type="checkbox" id="menu" name="menu" class="m-menu__checkbox">
                <label class="m-menu__toggle" for="menu">
                    <svg class="xs">
                        <use href="#navigation-menu"></use>
                    </svg>
                </label>
                <div class="m-menu">
                    <div class="m-menu__header">
                        <button><label class="m-menu__toggle" for="menu">
                                <svg class="xs">
                                    <use href="#remove-circle"></use>
                                </svg>
                            </label></button>
                        <span></span>
                    </div>
                    <ul>
                        <ng-container *ngFor="let navItem of siteMenuItems; trackBy: trackByFn">
                            <li [class.active]="navItem.active === true"
                                [class.child-active]="navItem.childActive === true"
                                [class.dropdown]="navItem.field_show_as_dropdown === '1'"
                                [attr.tabindex]="navItem.tabindex === true ? '0' : null">
                                <ng-container *ngIf="!navItem.below">

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'External'" rel="noopener"
                                        [attr.href]="[navItem.relative]">
                                        {{ navItem.title }}<svg class="xxs">
                                            <use href="#external-link"></use>
                                        </svg>
                                    </a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === null"
                                        [routerLink]="['/', navItem.relative.replace('/cms/', '')]"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">
                                        {{ navItem.title }}
                                    </a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'Angular'"
                                        [routerLink]="['/', navItem.relative.replace('/cms/', '')]"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">{{
                                        navItem.title}}</a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'React'" [attr.href]="navItem.uri"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">
                                        {{ navItem.title }}
                                    </a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'CMS'"
                                        [routerLink]="prepareCMSRoute(navItem.relative)"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: false}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">
                                        {{ navItem.title }}
                                    </a>


                                </ng-container>

                                <ng-container *ngIf="navItem.below">

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'External'" rel="noopener"
                                        [attr.href]="[navItem.relative]">
                                        {{ navItem.title }}<svg class="xxs">
                                            <use href="#external-link"></use>
                                        </svg>
                                    </a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === null"
                                        [routerLink]="['/', navItem.relative.replace('/cms/', '')]"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">
                                        {{ navItem.title }}
                                    </a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'Angular'"
                                        [routerLink]="['/', navItem.relative.replace('/cms/', '')]"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">{{
                                        navItem.title}}</a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'React'" [attr.href]="navItem.uri"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">
                                        {{ navItem.title }}
                                    </a>

                                    <a *ngIf="navItem.field_elg_menu_link_type === 'CMS'"
                                        [routerLink]="prepareCMSRoute(navItem.relative)"
                                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: false}"
                                        [class.disabled]="navItem.field_show_as_not_clickable === '1'">
                                        {{ navItem.title }}
                                    </a>

                                    <button><label for="{{navItem.title}}">
                                            <svg class="xs">
                                                <use href="#arrow-right"></use>
                                            </svg>
                                        </label></button>
                                    <input type="checkbox" id="{{navItem.title}}" name="{{navItem.title}}"
                                        class="m-menu__checkbox">
                                    <div class="m-menu">
                                        <div class="m-menu__header">
                                            <button><label class="m-menu__toggle" for="{{navItem.title}}">
                                                    <svg class="xs">
                                                        <use href="#arrow-left"></use>
                                                    </svg>
                                                </label></button>
                                            <span>{{navItem.title}}</span>
                                        </div>
                                        <ul>
                                            <ng-container *ngFor="let subNavItem of navItem.below; trackBy: trackByFn2">
                                                <li [class.active]="subNavItem.active === true"
                                                    [class.child-active]="subNavItem.childActive === true"
                                                    [attr.tabindex]="subNavItem.tabindex === true ? '1' : null">

                                                    <ng-container *ngIf="!subNavItem.below">
                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'External'"
                                                            rel="noopener" [attr.href]="[subNavItem.relative]">
                                                            {{ subNavItem.title }}<svg class="xxs">
                                                                <use href="#external-link"></use>
                                                            </svg>
                                                        </a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === null"
                                                            [routerLink]="['/', subNavItem.relative.replace('/cms/', '')]"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: true}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">
                                                            {{ subNavItem.title }}
                                                        </a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'Angular'"
                                                            [routerLink]="['/', subNavItem.relative.replace('/cms/', '').replace('news-page', 'news')]"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: true}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">{{
                                                            subNavItem.title}}</a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'React'"
                                                            [attr.href]="subNavItem.uri"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: true}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">
                                                            {{ subNavItem.title }}
                                                        </a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'CMS'"
                                                            [routerLink]="prepareCMSRoute(subNavItem.relative)"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: false}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">
                                                            {{ subNavItem.title }}
                                                        </a>
                                                    </ng-container>

                                                    <ng-container *ngIf="subNavItem.below">

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'External'"
                                                            rel="noopener" [attr.href]="[subNavItem.relative]">
                                                            {{ subNavItem.title }}<svg class="xxs">
                                                                <use href="#external-link"></use>
                                                            </svg>
                                                        </a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === null"
                                                            [routerLink]="['/', subNavItem.relative.replace('/cms/', '')]"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: true}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">
                                                            {{ subNavItem.title }}
                                                        </a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'Angular'"
                                                            [routerLink]="['/', subNavItem.relative.replace('/cms/', '')]"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: true}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">{{
                                                            subNavItem.title}}</a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'React'"
                                                            [attr.href]="subNavItem.uri"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: true}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">
                                                            {{ subNavItem.title }}
                                                        </a>

                                                        <a *ngIf="subNavItem.field_elg_menu_link_type === 'CMS'"
                                                            [routerLink]="prepareCMSRoute(subNavItem.relative)"
                                                            routerLinkActive="active-list-item"
                                                            [routerLinkActiveOptions]="{exact: false}"
                                                            [class.disabled]="subNavItem.field_show_as_not_clickable === '1'">
                                                            {{ subNavItem.title }}
                                                        </a>

                                                        <button><label for="{{subNavItem.title}}">
                                                                <svg class="xs">
                                                                    <use href="#arrow-right"></use>
                                                                </svg>
                                                            </label></button>
                                                        <input type="checkbox" id="{{subNavItem.title}}"
                                                            name="{{subNavItem.title}}" class="m-menu__checkbox">
                                                        <div class="m-menu">
                                                            <div class="m-menu__header">
                                                                <button><label class="m-menu__toggle"
                                                                        for="{{subNavItem.title}}">
                                                                        <svg class="xs">
                                                                            <use href="#arrow-left"></use>
                                                                        </svg>
                                                                    </label></button>
                                                                <span>{{subNavItem.title}}</span>
                                                            </div>
                                                            <ul>
                                                                <ng-container
                                                                    *ngFor="let subsubNavItem of subNavItem.below; trackBy: trackByFn2">

                                                                </ng-container>
                                                                <li [class.active]="subsubNavItem.active === true"
                                                                    *ngFor="let subsubNavItem of subNavItem.below; trackBy: trackByFn2">
                                                                    <a *ngIf="subsubNavItem.field_elg_menu_link_type === 'External'"
                                                                        rel="noopener"
                                                                        [attr.href]="[subsubNavItem.relative]">
                                                                        {{ subsubNavItem.title }}
                                                                        <svg class="xxs">
                                                                            <use href="#external-link"></use>
                                                                        </svg>
                                                                    </a>

                                                                    <a *ngIf="subsubNavItem.field_elg_menu_link_type === null"
                                                                        [routerLink]="['/', subsubNavItem.relative.replace('/cms/', '')]"
                                                                        routerLinkActive="active-list-item"
                                                                        [routerLinkActiveOptions]="{exact: true}"
                                                                        [class.disabled]="subsubNavItem.field_show_as_not_clickable === '1'">
                                                                        {{ subsubNavItem.title }}
                                                                    </a>

                                                                    <a *ngIf="subsubNavItem.field_elg_menu_link_type === 'Angular'"
                                                                        [routerLink]="['/', subsubNavItem.relative.replace('/cms/', '')]"
                                                                        routerLinkActive="active-list-item"
                                                                        [routerLinkActiveOptions]="{exact: true}"
                                                                        [class.disabled]="subsubNavItem.field_show_as_not_clickable === '1'">{{
                                                                        subsubNavItem.title}}</a>

                                                                    <a *ngIf="subsubNavItem.field_elg_menu_link_type === 'React'"
                                                                        [attr.href]="subsubNavItem.uri"
                                                                        routerLinkActive="active-list-item"
                                                                        [routerLinkActiveOptions]="{exact: true}"
                                                                        [class.disabled]="subsubNavItem.field_show_as_not_clickable === '1'">
                                                                        {{ subsubNavItem.title }}
                                                                    </a>

                                                                    <a *ngIf="subsubNavItem.field_elg_menu_link_type === 'CMS'"
                                                                        [routerLink]="prepareCMSRoute(subsubNavItem.relative)"
                                                                        routerLinkActive="active-list-item"
                                                                        [routerLinkActiveOptions]="{exact: false}"
                                                                        [class.disabled]="subsubNavItem.field_show_as_not_clickable === '1'">
                                                                        {{ subsubNavItem.title }}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </ng-container>
                                                </li>
                                            </ng-container>
                                        </ul>
                                    </div>
                                </ng-container>
                            </li>
                        </ng-container>
                    </ul>
                </div>
            </div>
        </div>
    </nav>
</div>